ServerEvents.recipes(event => {
	event.remove({output: 'createindustry:cable_tube'})
	event.remove({output: 'tcintegrations:bronze_block'})
	event.remove({output: 'alloyed:bronze_block', type: 'minecraft:crafting_shaped'})
	event.remove({output: 'createindustry:fireproof_brick'})
	event.remove({output: 'createindustry:copper_cable'})
	event.remove({output: 'createindustry:magnetic_ingot'})
	event.remove({output: 'createindustry:diagonal_cable_block'})
	event.remove({output: 'createindustry:polarizer'})
	event.remove({output: 'createindustry:pumpjack_hammer_head'})
	event.remove({output: 'alloyed:steel_casing'})
	event.remove({output: 'createindustry:limesand'})
	event.remove({output: 'createindustry:turbine_blade'})
	event.remove({output: 'createindustry:blasting_mixture'})
	event.remove({output: 'createindustry:generator'})
	event.remove({output: 'createindustry:coke_oven'})
	event.remove({output: 'createindustry:spark_plug'})
	event.remove({output: 'createindustry:plastic_smart_fluid_pipe'})
	event.remove({output: 'createindustry:aluminum_smart_fluid_pipe'})
	event.remove({output: 'createindustry:steel_smart_fluid_pipe'})
  	event.replaceInput(
	{ input: 'createindustry:synthetic_leather' },
	'createindustry:synthetic_leather',            // Arg 2: the item to replace
	'#forge:leather'         // Arg 3: the item to replace it with
  )
	event.shaped(
  Item.of('createindustry:pumpjack_hammer_head', 1), // arg 1: output
  [
    ' A ',
    ' B ', // arg 2: the shape (array of strings)
    ' B '
  ],
  {
    A: '#forge:plates/steel',
    B: '#forge:storage_blocks/steel',
  })
	event.shaped(
  Item.of('createindustry:diagonal_cable_block', 4), // arg 1: output
  [
    'AB ',
    'BC ', // arg 2: the shape (array of strings)
    '   '
  ],
  {
    A: 'createindustry:copper_cable',
    B: '#forge:ingots/steel',
	C: '#forge:leather',
  })
	event.shaped(
  Item.of('createindustry:turbine_blade', 1), // arg 1: output
  [
    ' B ',
    'BAB', // arg 2: the shape (array of strings)
    ' B '
  ],
  {
    A: 'createindustry:rebar',
    B: 'createindustry:aluminum_ingot'
  })
	event.shaped(
  Item.of('createindustry:cable_tube', 4), // arg 1: output
  [
    'BAB',
    ' C ', // arg 2: the shape (array of strings)
    '   '
  ],
  {
    A: 'createindustry:copper_cable',
    B: '#forge:ingots/steel',
	C: '#forge:leather',
  })
	event.shaped(
  Item.of('createindustry:copper_cable', 4), // arg 1: output
  [
    ' A ',
    'ABA', // arg 2: the shape (array of strings)
    'CA '
  ],
  {
    A: '#forge:wires/copper',
    B: 'minecraft:stick',
	C: '#forge:leather',
  })
	event.shaped(
  Item.of('createindustry:polarizer', 1), // arg 1: output
  [
    'D D',
    'EBE', // arg 2: the shape (array of strings)
    'CAC'
  ],
  {
    A: 'createindustry:electric_casing',
    B: '#forge:ingots/steel',
	C: 'createindustry:copper_cable',
	D: '#forge:plates/copper',
	E: 'createindustry:capacitor_',
  })
	event.shaped(
  Item.of('createindustry:plastic_smart_fluid_pipe', 1), // arg 1: output
  [
    ' A ',
    ' B ', // arg 2: the shape (array of strings)
    ' C '
  ],
  {
    A: '#forge:plates/gold',
    B: 'createindustry:plastic_pipe',
	C: 'create:electron_tube'
  })
	event.shaped(
  Item.of('createindustry:aluminum_smart_fluid_pipe', 1), // arg 1: output
  [
    ' A ',
    ' B ', // arg 2: the shape (array of strings)
    ' C '
  ],
  {
    A: '#forge:plates/gold',
    B: 'createindustry:aluminum_pipe',
	C: 'create:electron_tube'
  })
	event.shaped(
  Item.of('createindustry:steel_smart_fluid_pipe', 1), // arg 1: output
  [
    ' A ',
    ' B ', // arg 2: the shape (array of strings)
    ' C '
  ],
  {
    A: 'mekanism:hdpe_sheet',
    B: 'createindustry:steel_pipe',
	C: 'create:electron_tube'
  })
	event.shaped(
  Item.of('v_borne:unmagnetized_ingot', 1), // arg 1: output
  [
    ' A ',
    'ABA', // arg 2: the shape (array of strings)
    ' A '
  ],
  {
    A: 'minecraft:blaze_rod',
    B: '#forge:ingots/steel'
  })
	event.shaped(
  Item.of('createindustry:fireclay', 1), // arg 1: output
  [
    'AA ',
    'AA ', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: 'createindustry:fireclay_ball'
  })
	let inter = "createindustry:unfinished_steel_mechanism"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("createindustry:steel_mechanism").withChance(82.0), // this is the item that will appear in JEI as the result
                Item.of("createindustry:steel_ingot").withChance(8.0),
				Item.of("createindustry:aluminum_ingot").withChance(5.0),
				Item.of("createindustry:heavy_plate").withChance(5.0),
            ],
            "#forge:ingots/steel",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
                event.recipes.createDeploying(inter, [inter, '#forge:ingots/steel']),
				event.recipes.createDeploying(inter, [inter, 'createindustry:aluminum_ingot']),
				event.recipes.createDeploying(inter, [inter, 'createindustry:screw']),
				event.recipes.createDeploying(inter, [inter, 'createindustry:screwdriver']),
            ]
        )
        .transitionalItem(inter)
        .loops(1); // set the transitional item and the number of loops
	event.recipes.create.pressing([
		'createindustry:limesand'
	], 	'create:limestone')
  	event.recipes.create.mixing(
  	'createindustry:blasting_mixture',
  	['createindustry:limesand', 'mekanism:enriched_iron'])
  	event.recipes.create.compacting(
  	'createindustry:fossilstone',
  	['3x createindustry:bitumen', Fluid.of("minecraft:water", 500), Fluid.of("garnished:cashew_mixture", 250)]).heated()
  	event.recipes.create.compacting(
  	'2x create_dd:coal_piece',
  	'#forge:stripped_wood').heated()
	event.recipes.mekanism.smelting(
	'createindustry:fireproof_brick',
	'createindustry:fireclay_ball')
	event.shapeless(
  Item.of('createindustry:nickel_ingot', 1), // arg 1: output
	[
		'9x v_borne:nickel_nugget'
	])
	event.shapeless(
  Item.of('v_borne:nickel_nugget', 9), // arg 1: output
	[
		'createindustry:nickel_ingot'
	])
	event.shapeless(
  Item.of('createindustry:cast_iron_ingot', 1), // arg 1: output
	[
		'9x createdeco:cast_iron_nugget'
	])
	event.shapeless(
  Item.of('v_borne:nickel_coin', 4), // arg 1: output})
	[
		'v_borne:nickel_coinstack'
	])
	event.shapeless(
  Item.of('v_borne:nickel_coinstack', 1), // arg 1: output
	[
		'4x v_borne:nickel_coin'
	])
	event.shapeless(
  Item.of('createindustry:coke_oven', 3), // arg 1: output
	[
		'#forge:ingots/cast_iron',
		'create:industrial_iron_block',
		'create:andesite_bars'
	])
	event.recipes.create.mechanical_crafting('createindustry:spark_plug', [
    'A',
    'B',
	'C'
  ], {
	A: 'v_borne:flint_dust',
	B: 'createindustry:aluminum_ingot',
	C: 'createindustry:rebar'
  })
	event.recipes.create.pressing(
	'v_borne:nickel_coin',
	'v_borne:nickel_nugget')
	event.recipes.create.compacting(
	'alloyed:bronze_block',
	'9x alloyed:bronze_ingot')
	event.recipes.createindustry.casting(Fluid.of("v_borne:molten_bronze", 111), ["alloyed:bronze_ingot", "alloyed:bronze_block"], 300)
    event.recipes.createindustry.industrial_blasting('mekanism:dust_bronze', [Fluid.of("v_borne:molten_bronze", 111), Fluid.of("createindustry:molten_slag", 75)], 300)
    event.recipes.createindustry.industrial_blasting("v_borne:compact_gravel", [Fluid.of("createindustry:molten_slag", 888), Fluid.of("minecraft:lava", 75)], 1200)
    event.recipes.createindustry.polarizing("mekanism:ingot_uranium", "luckytntmod:uranium_ingot", 400)
	event.recipes.createindustry.polarizing("v_borne:unmagnetized_ingot", "createindustry:magnetic_ingot", 300)
})